function [udot, p, q, w] = EvansFunctionVF(x,u)

global lambda2 

p = 1 + 0*x; %36 + 35*tanh(70*(x-0.5));
q = 0*x; %36 + 35*tanh(70*(x-0.5));    
w = 1 + 0*x; 

udot(1) = 1/p*u(2);                      % Soln for Evans Function
udot(2) = (q + lambda2*w)*u(1);          % Soln for Evans Function
udot(3) = 1/p*u(4);                      % Soln for Evans Function derivative
udot(4) = w*u(1) + (q + lambda2*w)*u(3); % Soln for Evans Function derivative


udot = [udot(1);udot(2);udot(3);udot(4)];              